load data_obratle.mat

for i = 1:size(data_obratle,1)
   data_obratle{i} = logical(data_obratle{i});
end

for i = 1:size(data_obratle,1)
   x(i) = size(data_obratle{i},1);
   y(i) = size(data_obratle{i},2);
   z(i) = size(data_obratle{i},3);
end

x = max(x);
y = max(y);
z = max(z);


for i = 1:size(data_obratle,1)
    
    delka = size(data_obratle{i}, 2);
    vyska = size(data_obratle{i}, 1);
    hloubka = size(data_obratle{i}, 3);
    
    r_delka = y - delka;
    r_vyska = x - vyska;
    
    r_delka1 = floor(r_delka/2);
    r_delka2 = ceil(r_delka/2);
    
    r_vyska1 = floor(r_vyska/2);
    r_vyska2 = ceil(r_vyska/2);
   
    
    
    data_obratle{i} = [zeros(r_vyska1, delka, hloubka); data_obratle{i};
        zeros(r_vyska2, delka, hloubka)];
    
    vyska_new = size(data_obratle{1}, 1);
    data_obratle{i} = [zeros(vyska_new, r_delka1, hloubka) data_obratle{i} ...
        zeros(vyska_new, r_delka2, hloubka)];
    
end

z = x*y*z;
for i = 1:size(data_obratle,1)
    p = size(data_obratle{i},1) * size(data_obratle{i},2) * size(data_obratle{i},3);
    
    p1 = floor((z - p)/2);
    p2 = ceil((z - p)/2);
    
    data2{i} = [zeros(1,p1) data_obratle{i}(:)' zeros(1,p2)];
    
end
